Bug 1028688 - should use new names in cinder-dist.conf
should use new names in cinder-dist.conf
Status: CLOSED EOL
Product: RDO
Classification: Community
Component: openstack-cinder (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: Milestone2
: Icehouse
Assigned To: Lars Kellogg-Stedman
Giulio Fidente
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-09 10:43 EST by Pádraig Brady
Modified: 2016-05-19 11:36 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-19 11:36:29 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pádraig Brady 2013-11-09 10:43:34 EST
change 'sql_connection' to 'connection' in the database group etc.
This is good form and also avoids a confusing config issue wrt
overriding config settings, logged at: http://pad.lv/1249620
Comment 1 Lars Kellogg-Stedman 2015-03-20 11:21:14 EDT
This seems to have been resolved in recent releases.

After installing the openstack-cinder package:

# sed -n '/^\[database]/,/^\[/p' /etc/cinder/cinder.conf | 
  grep -v '# ' | grep connection
#connection=<None>
#slave_connection=<None>
#connection_debug=0
#connection_trace=false


After a packstack install:

# crudini --format=lines --get /etc/cinder/cinder.conf  | grep connection
[ database ] connection = mysql://cinder:c05532b830db42ce@192.168.122.26/cinder
Comment 2 Lars Kellogg-Stedman 2015-03-20 11:22:07 EDT
Argh, I totally misread the file to check. Yeah, cinder-dist.conf still uses the legacy name:

[DEFAULT]
logdir = /var/log/cinder
state_path = /var/lib/cinder
lock_path = /var/lib/cinder/tmp
volumes_dir = /etc/cinder/volumes
iscsi_helper = lioadm
sql_connection = mysql://cinder:cinder@localhost/cinder
rootwrap_config = /etc/cinder/rootwrap.conf
auth_strategy = keystone
Comment 3 Lars Kellogg-Stedman 2015-03-20 11:25:59 EDT
Change proposed @ https://review.gerrithub.io/#/c/221786/
Comment 5 Chandan Kumar 2016-05-19 11:36:29 EDT
This bug is against a Version which has reached End of Life.
If it's still present in supported release (http://releases.openstack.org), please update Version and reopen.

Note You need to log in before you can comment on or make changes to this bug.